# FoundationClasses
TKernel
TCollection

# TCollection_CompareOfReal Class Reference

`#include <TCollection_CompareOfReal.hxx>`

Inheritance diagram for TCollection_CompareOfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TCollection_CompareOfReal ()
virtual Standard_EXPORT Standard_Boolean | IsLower (const Standard_Real &Left, const Standard_Real &Right) const
| Returns True if <left> is lower than <right>. .
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Standard_Real &Left, const Standard_Real &Right) const
| Returns True if <left> is greater than <right>. .

## Constructor & Destructor Documentation

Standard_EXPORT TCollection_CompareOfReal::TCollection_CompareOfReal | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean TCollection_CompareOfReal::IsGreater | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented from TCollection_PrivCompareOfReal.

virtual Standard_EXPORT Standard_Boolean TCollection_CompareOfReal::IsLower | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented from TCollection_PrivCompareOfReal.

void TCollection_CompareOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_PrivCompareOfReal.

void* TCollection_CompareOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_PrivCompareOfReal.

void* TCollection_CompareOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_PrivCompareOfReal.

The documentation for this class was generated from the following file:

- TCollection_CompareOfReal.hxx